#
# spec file for package ghc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name enclosed-exceptions

Name:           ghc-%{pkg_name}
Version:        1.0.1.1
Release:        3.3
Summary:        Catching all exceptions raised within an enclosed computation
License:        MIT
Group:          System/Libraries/Other

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fdupes
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
Catching all exceptions raised within an enclosed computation, while 
remaining responsive to (external) asynchronous exceptions.

This package provides the Haskell %{pkg_name} libraries.

%package  -n ghc-%{pkg_name}-devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}

%description  -n ghc-%{pkg_name}-devel
Catching all exceptions raised within an enclosed computation, while 
remaining responsive to (external) asynchronous exceptions.
number type.

This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%files -f ghc-%{pkg_name}.files
%defattr(-,root,root)
%doc LICENSE

%files  -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)

%changelog
* Wed Apr 22 2015 mimi.vx@gmail.com
- update to 1.0.1.1
  * no upstream changelog
* Mon Feb  2 2015 mpluskal@suse.com
- Initial package
